Subject: Re: The Korn Shell [was: Re: What's Up With That (KSH)?]
From: Joe Buehler <[email-masked]>
To: [email-masked]
Date: Thu, 13 Jun 2002 14:20:42 -0400
Newsgroups: gmane.os.cygwin

Thomas Baker wrote:

> It is great news that this is in the pipeline.  Not sure if
> it is off-topic, but can someone explain in 25 words or less
> how "AST", "INIT", and "UWIN" relate to the Cygwin effort?
> My vague impression is that "UWIN" is a parallel universe to
> Cygwin -- a freely available WIN32 Unix-lookalike based on
> AT&T work, and that AST and INIT are something like the RPM
> formats of the UWIN world.  Is that at all close?

AST is a toolkit that provides a portability layer on top of UNIX.
It allows you to code to a single API and run on various flavors
of UNIX.

U/WIN (proper spelling) is the same idea as Cygwin.  David Korn
at AT&T research is the architect/chief developer.  It's not free for
commercial purposes, though there are downloadable versions on the web.
What he has done in U/WIN is write a UNIX layer on top of Windows, then use
AST for much of the libraries and utilities.

The INIT stuff is packaging software, as far as I can tell.  AT&T research
(Bell labs) has a boatload of good software tools that don't really make
it outside of AT&T, unfortunately.

Joe Buehler

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/